commit:     2d6be8c0be46c07256a267f89a00f66db0d95edd
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 17 10:34:43 2016 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Wed Feb 17 10:34:54 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d6be8c0

dev-python/oauth2client: Exclude tests from installation

Package-Manager: portage-2.2.27
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/oauth2client/oauth2client-2.0.0.ebuild | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/dev-python/oauth2client/oauth2client-2.0.0.ebuild 
b/dev-python/oauth2client/oauth2client-2.0.0.ebuild
index db2bdb7..23f9740 100644
--- a/dev-python/oauth2client/oauth2client-2.0.0.ebuild
+++ b/dev-python/oauth2client/oauth2client-2.0.0.ebuild
@@ -32,6 +32,13 @@ DEPEND="${RDEPEND}
 # Needs network
 RESTRICT=test
 
+python_prepare_all() {
+       sed \
+               -e "s:find_packages():find_packages(exclude=['tests']):" \
+               -i setup.py || die
+       distutils-r1_python_prepare_all
+}
+
 python_test() {
        nosetests || die
 }

Reply via email to